--[[
RP_CombatDice v2.5.2 - RP Dice Combat System.
Copyright (C) 2012-2015 Michel R Vaillancourt (Warlock Kassaria) - kassaria_warlock_soe@wolfstar.ca

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
]]--

--
--DM_or_ST_options Functions Code
local ADDON_NAME, T = ...;
local RPCD = T.RP_CombatDice;

local RPCD_DEFAULT_ST_GM_TAG = "Scenario GM";

--
--gets & sets code
function RPCD:GetRPCD_doPostAsStoryTeller()
  return self.db.char.RPCD_doPostAsStoryTeller
end

function RPCD:SetRPCD_doPostAsStoryTeller(i, newValue)
  self.db.char.RPCD_doPostAsStoryTeller = newValue
  RPCD:SayNowPostingAsStoryTeller()
end

function RPCD:GetRPCD_StoryTellerTagMarker()

  local current_tag = self.db.char.RPCD_StoryTellerTagMarker

  if RPCD:is_var_empty(current_tag) and RPCD:GetRPCD_doPostAsStoryTeller() then
    self.db.char.RPCD_doPostAsStoryTeller = RPCD_DEFAULT_ST_GM_TAG
    current_tag = RPCD_DEFAULT_ST_GM_TAG
  end

  return current_tag
end

function RPCD:SetRPCD_StoryTellerTagMarker(i, newValue)
  self.db.char.RPCD_StoryTellerTagMarker = newValue
  RPCD:SayStoryTellerTag()
end

--
--On channel change, let players know they are now posting to a differnt channel
function RPCD:SayNowPostingAsStoryTeller()

  local are_or_are_not_text = "are not"
  local is_or_is_not_text = "is not"

  if RPCD:GetRPCD_doPostAsStoryTeller() then
    are_or_are_not_text = "are now"
    is_or_is_not_text = "is now"
  end

  RPCD:Print("Your die rolls " .. RPCD:text_cyan(are_or_are_not_text) .. " being marked as the RP scenario Dungeon Master / Story Teller. ")

  local playerName = UnitName("player")
  local info_string = " RPCD Info: " .. playerName .. " " .. is_or_is_not_text .. " posting dice rolls here as the RP scenario Dungeon Master / Story Teller."

  SendChatMessage(info_string, string.upper(RPCD:getPostToChannel() ))

end

--
--Print local view of active ST Tag
function RPCD:SayStoryTellerTag()

  local current_tag = RPCD:GetRPCD_StoryTellerTagMarker()

  RPCD:Print(RPCD:text_cyan("ST / GM Tag: [" .. current_tag .. "]") )
end

-- end of file --
