--[[
RP_CombatDice v2.5.2 - RP Dice Combat System.
Copyright (C) 2012-2015 Michel R Vaillancourt (Warlock Kassaria) - kassaria_warlock_soe@wolfstar.ca

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
]]--

--ChannelTarget Functions Code
--
local ADDON_NAME, T = ...;
local RPCD = T.RP_CombatDice;

--gets & sets code
function RPCD:GetRPCD_DiceMessageToRaid()
  return self.db.char.RPCD_DiceMessageToRaid
end

function RPCD:SetRPCD_DiceMessageToRaid(i, newValue)
  self.db.char.RPCD_DiceMessageToRaid = newValue
  RPCD:SayNowPostingToChannel()
end

function RPCD:GetRPCD_DiceMessageToParty()
  return self.db.char.RPCD_DiceMessageToParty
end

function RPCD:SetRPCD_DiceMessageToParty(i, newValue)
  self.db.char.RPCD_DiceMessageToParty = newValue
  RPCD:SayNowPostingToChannel()
end

--Get the preferred posting channel for dice noise
function RPCD:getPostToChannel()
  local postToChannel = "Emote"

  if self.db.char.RPCD_DiceMessageToRaid then
    postToChannel = "Raid"
  end

  if self.db.char.RPCD_DiceMessageToParty then
    postToChannel = "Party"
  end

  return postToChannel
end

--On channel change, let players know they are now posting to a differnt channel
function RPCD:SayNowPostingToChannel()

  RPCD:Print("Your die rolls are now being posted to "..RPCD:getPostToChannel())

  local playerName = UnitName("player")
  local info_string = " RPCD Info: " .. playerName .. " is posting dice rolls here."

  SendChatMessage(info_string, string.upper(RPCD:getPostToChannel() ))

end

-- end of file --
