--[[
RP_CombatDice v2.5.2 - RP Dice Combat System.
Copyright (C) 2012-2015 Michel R Vaillancourt (Warlock Kassaria) - kassaria_warlock_soe@wolfstar.ca

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
]]--

--DM_or_ST_options Functions Code
--
local ADDON_NAME, T = ...;
local RPCD = T.RP_CombatDice;

--establish default DB config
local DEFAULT__CONFIGURATION = {
  global = {
    RPCD_SaidHelp = 0,
        ----
    RPCD_wound_level = 0
  },
  char = {
    RPCD_CharIsMeleeCombat = true,
    RPCD_CharIsRangedCombat = false,
    RPCD_CharIsSpellCombat = false,
    RPCD_CharIsHealer = false,
    RPCD_CharIsLore = false,
    RPCD_CharIsSocial = false,
    RPCD_CharIsWellRounded = false,
    RPCD_HasSignatureItem = false,
    RPCD_HasSpellBuff = false,
    ----
    RPCD_DiceMessageToRaid = false,
    RPCD_DiceMessageToParty = false,
    ----
    RPCD_doPostAsStoryTeller = false,
    RPCD_StoryTellerTagMarker = "Scenario GM",
    ----
    RPCD_doApplyWoundLevelDM = false
  }
}

--Function for improved substr
function RPCD:isubstr(string, start, length)
  if not string then
      return ''
  end
  -- Sanity checks: make sure integers are integers.
  start = floor(tonumber(start)) or 1
  if length == nil then
      length = strlen(string)
  end
  if length < 0 and start < 0 and abs(length) > abs(start) then
      return false
  end
  if start < 0 then
      start = strlen(string) + (start + 1)
  end
  length = floor(tonumber(length))
  local String = ''
  if length >= 0 then
      String = strsub(string, start, (start - 1) + length)
  else
      String = string
      String = strsub(String, start)
      String = strsub(String, 1, strlen(String) + length)
  end
  return String
end

--Functions for colorized text to local console
function RPCD:text_red( string_to_color )
  return "|cFFFF0000" .. string_to_color .. "|r"
end

function RPCD:text_green( string_to_color )
  return "|cFF00FF00" .. string_to_color .. "|r"
end

function RPCD:text_blue( string_to_color )
  return "|cFF0000FF" .. string_to_color .. "|r"
end

function RPCD:text_yellow( string_to_color )
  return "|cFFFFFF00" .. string_to_color .. "|r"
end

function RPCD:text_cyan( string_to_color )
  return "|cFF00FFFF" .. string_to_color .. "|r"
end

--test if a variable is nil / empty, returning TRUE
function RPCD:is_var_empty(s)
  return s == nil or s == ''
end

--stub function.  Really doesn't get used right now.
function RPCD:OnEnable()
  RPCD:Print("Enabled OK.")
end

--stub function.  Really doesn't get used right now.
function RPCD:OnDisable()
  RPCD:Print("Disabled OK.")
end

-- end of file --
